Summary: A spelling checker.
Name: aspell
Version: 0.60.3
Release: %smerelease 2
Packager: %{_packager}
Epoch: 12
License: LGPL
Group: Applications/Text
URL: http://aspell.net/
Source0: ftp://ftp.gnu.org/gnu/aspell/aspell-%{version}.tar.gz
Patch1: aspell-0.50.3-gcc33.patch
Patch2: aspell-0.60.3-long_gettext.patch
Patch3: aspell-0.60.3-install_info.patch
Requires: aspell-en
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gettext, ncurses-devel
Prereq: /sbin/install-info
Provides: pspell
Obsoletes: ispell, pspell, aspell-de < 0.50, aspell-fr < 0.50, aspell-ca < 0.50, aspell-da < 0.50, aspell-es < 0.50, aspell-it < 0.50, aspell-nl < 0.50, aspell-no < 0.50, aspell-sv < 0.50, aspell-pt_BR, aspell-config

%description
GNU Aspell is a spell checker designed to eventually replace Ispell. It can
either be used as a library or as an independent spell checker. Its main
feature is that it does a much better job of coming up with possible
suggestions than just about any other spell checker out there for the
English language, including Ispell and Microsoft Word. It also has many
other technical enhancements over Ispell such as using shared memory for
dictionaries and intelligently handling personal dictionaries when more
than one Aspell process is open at once.

%package	devel
Summary: Static libraries and header files for Aspell development.
Group: Development/Libraries
Requires: aspell = %{epoch}:%{version}-%{release}
Provides: pspell-devel
Obsoletes: pspell-devel

%description	devel
Aspell is a spelling checker. The aspell-devel package includes the
static libraries and header files needed for Aspell development.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n aspell-%{version}
%patch1 -p1 -b .gcc33
%patch2 -p1 -b .long
%patch3 -p1 -b .iinfo

%build
%configure
make

%install
%makeinstall

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60

mv ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/ispell ${RPM_BUILD_ROOT}%{_bindir}
mv ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/spell ${RPM_BUILD_ROOT}%{_bindir}

rm -f ${RPM_BUILD_ROOT}%{_libdir}/libaspell.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libpspell.la
#rm -f $RPM_BUILD_ROOT/usr/share/doc/aspell/manual.aux

#mv $RPM_BUILD_ROOT/usr/share/doc/aspell $RPM_BUILD_ROOT/usr/share/doc/aspell-%{version}


%post   
/sbin/ldconfig
/sbin/install-info %{_infodir}/aspell.info.gz %{_infodir}/dir --entry="* Aspell: (aspell). " 

%post        devel
/sbin/install-info %{_infodir}/aspell-dev.info.gz %{_infodir}/dir --entry="* Aspell-dev: (aspell-dev). "

%preun 
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/aspell.info.gz %{_infodir}/dir 
fi
exit 0

%preun       devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/aspell-dev.info.gz %{_infodir}/dir 
fi
exit 0

%postun -p /sbin/ldconfig
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO COPYING
#%dir %{_datadir}/doc/aspell-%{version}
%dir %{_libdir}/aspell-0.60
%{_bindir}/a*
%{_bindir}/ispell
%{_bindir}/pr*
%{_bindir}/run-with-aspell
%{_bindir}/spell
%{_bindir}/word-list-compress
%{_libdir}/lib*.so.*
%{_libdir}/aspell-0.60/*
%{_datadir}/locale/*/LC_MESSAGES/aspell.mo
%{_infodir}/aspell.*
%{_mandir}/man1/aspell*
%{_mandir}/man1/run-with-aspell.1*
%{_mandir}/man1/word-list-compress.1*

%files		devel
%defattr(-,root,root)
%dir %{_includedir}/pspell
%{_bindir}/pspell-config
%{_includedir}/aspell.h
%{_includedir}/pspell/pspell.h
%{_libdir}/lib*spell.so
%{_infodir}/aspell-dev.*
%{_mandir}/man1/pspell-config.1*

%changelog
* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Fri Jul 15 2005 Ivana Varekova <varekova@redhat.com> 12:0.60.3-2
- fix install-info problem 

* Wed Jul 13 2005 Ivana Varekova <varekova@redhat.com> 12:0.60.3-1
- update to 0.60.3 - (bug 141968) thanks to Dawid Gajownik 
- add BuildRequires: ncurses-devel, gettext 
- add config script patch (thanks tmraz@redhat.com)


* Mon Mar  7 2005 Ivana Varekova <varekova@redhat.com> 12:0.50.5-6
- rebuilt

* Thu Jan 13 2005 Adrian Havill <havill@redhat.com> 12:0.50.5-5
- added aspell-pt_BR to the obsoletes

* Fri Nov 12 2004 Warren Togami <wtogami@redhat.com> 12:0.50.5-4
- rebuild

* Wed Oct 06 2004 Than Ngo <than@redhat.com> 12:0.50.5-3.fc3
- add obsolete aspell-config

* Mon Aug 23 2004 Adrian Havill <havill@redhat.com> 12:0.50.5-2.fc3
- fix doc dir (#128140) (don't flag aspell doc stuff with the %doc
  flag due to rpm badness)

* Mon Jun 21 2004 Warren Togami <wtogami@redhat.com> 12:0.50.5-1
- update to 0.50.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jan 29 2004 Adrian Havill <havill@redhat.com> 12:0.50.50.3-18
- make rpm own some unclaimed dirs (#112984, #113778)
- explicitly claim kbd anbd dat files in /usr/share/aspell
- a little spec file files cleanup-- macro subs, dir prefix
- make /usr/lib/aspell; don't make the dictionary packages do it

* Mon Nov 17 2003 Thomas Woerner <twoerner@redhat.com> 12:0.50.3-17
- fixed build: added make to %%build to avoid rpath for build directory

* Tue Oct 07 2003 Adrian Havill <havill@redhat.com> 12:0.50.3-16
- moved spell compat script from /usr/share/aspell to /usr/bin (#105921)

* Tue Jul 01 2003 Adrian Havill <havill@redhat.com> 11:0.50.3-15
- moved ispell compat script from /usr/share/aspell to /usr/bin (#90907)

* Tue Jun 24 2003 Adrian Havill <havill@redhat.com> 10:0.50.3-14
- removed emacs/xemacs el files which are already provided

* Mon Jun 18 2003 Adrian Havill <havill@redhat.com> 9:0.50.3-13
- provide pspell-devel in addition to obsoleting it

* Tue Jun 10 2003 Adrian Havill <havill@redhat.com> 8:0.50.3-12
- obsolete old dicts designed for previous aspell

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 30 2003 Joe Orton <jorton@redhat.com> 7:0.50.3-10
- rebuild again to fix libpspell deps

* Fri May 30 2003 Joe Orton <jorton@redhat.com> 7:0.50.3-9
- remove ExcludeArch

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 7:0.50.3-8
- fix build with gcc 3.3

* Wed May 22 2003 Adrian Havill <havill@redhat.com> 0.50.3-7
- require aspell-en for upgrades

* Sun May 11 2003 Jeremy Katz <katzj@redhat.com> 6:0.50.3-6
- -devel should obsolete pspell-devel

* Tue May  6 2003 Joe Orton <jorton@redhat.com> 0.50.3-5
- include libpspell.so in devel package

* Wed May  1 2003 Adrian Havill <havill@redhat.com> 0.50.3-4
- removed .la files

* Wed Apr 16 2003 Adrian Havill <havill@redhat.com> 0.50.3-3
- Changed the header for provides, obsoletes, epoch
- fixed config prefix in dirs.h

* Wed Apr 16 2003 Adrian Havill <havill@redhat.com> 0.50.3-1
- upgrade to 0.50.3

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Nov  8 2002 Tim Powers <timp@redhat.com>
- fix broken pspell epoch dep
- create $RPM_BUILD_ROOT/usr/bin by hand
- remove /usr/doc
- fix hardcoding of /usr/lib so that we can build on x86_64

* Tue Aug 13 2002 Nalin Dahyabhai <nalin@redhat.com> 0.33.7.1-16
- require pspell and pspell-devel using the proper epoch

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 0.33.7.1-14
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.33.7.1-13
- automated rebuild

* Thu Jun 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-12
- Rebuild to make it work again... #66708

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-10
- Rebuild

* Thu Feb 21 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-9
- Disable evil patch

* Mon Jan 28 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-8
- Build on more archs (doh)

* Tue Jan 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-7
- Make it compile with new compiler (evil workaround)

* Wed Jan 16 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-5
- Rebuild
- Unexclude alpha

* Fri Dec 14 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-3
- Rebuild
- Don't build on alpha

* Mon Oct 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.33.7.1-2
- "make it work with gcc 3.1" ;)

* Tue Sep 18 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-1
- 0.33.7.1, which is a "make it work with gcc 3" release

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Thu Aug  9 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7-1
- 0.33.7 bugfix release. Requested by the author, it fixes
  coredumps in sug-mode and when not using typo-analyses.
  It also contains code cleanups so it compiles with -ansi
- should fix coredump on IA64 (#49746)

* Wed Jul 11 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add the .la files in the main package - used for dynamic loading

* Sun Jun  3 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.33.6.3, which includes the fix made yesterday

* Sat Jun  2 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make it search for directories in the correct location

* Wed May 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- No more workarounds at the specfile level

* Tue May 29 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Use custom ltmain.sh to work around buggy bundled libtool

* Sun May 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.33.6
- use standard %%configure macro - it works now.

* Fri May 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.33.5-2
- Rebuild with new libltdl

* Mon Apr 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.33.5

* Thu Nov 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use new emacs init scheme for Emacs and XEmacs

* Wed Nov 22 2000 Trond Eivind Glomsrd <teg@redhat.com>
-  .32.6

* Sat Aug 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- .32.5 bugfix release (also contains improved documentation),
  obsolete old patch
- the compatibility scripts are now part of the package itself
- clean up build procedure
- remove manual.aux file from docs (#16424)

* Sun Aug 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- .32.1 bugfix release, obsolete old patch
- rename to 0.32.1
- add patch from author to change his email address
- add spell and ispell compatibility scripts

* Fri Aug 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remember to obsolete ispell
- build the Canadian and British dictionaries here now,
  as part of the main package. Same package names and 
  descriptions.

* Mon Jul 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- .32
- remove old patches, add a patch since namespace isn't 
  polluted as much anymore (as opposed to older toolchain)

* Wed Jul 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use RPM_OPT_FLAGS, not just -O0
- dont include .la-files

* Fri Jun 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- excludearch ia64

* Fri Jun 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- patch to work around compiler bug(?) wrt. inline functions
- use CFLAGS and CXXFLAGS
- set them to -O0 to work around YACB
- copy libtool files for IA64 support

* Sun Jun 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- update to .31.1. My patch was upstreamed and is no longer needed.
- new patch added so DESTDIR works properly

* Fri Jun 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- (this entry includes some old ones...)
- update to .31
- added patch to make it compile with a pickier compiler
- include /usr/share/pspell

* Mon May 1 2000 Tim Powers <timp@redhat.com>
- updated to .30.1
- used build fixes from Ryan Weaver's 0.30.1-1 package on sourceforge
- updated URL, download/ftp location
- removed redundant define's at top of spec file

* Thu Jul 8 1999 Tim Powers <timp@redhat.com>
- built for Powertools 6.1
- removed %serial definitions from spec file to make versioning
  consistant with the other packages we ship.
- changed build root path
- general spec file cleanups

* Tue Mar  2 1999 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.27.2-2]
- Changes from .27.1 to .27.2 (Mar 1, 1999)
- Fixed a major bug that caused aspell to dump core when used
  without any arguments
- Fixed another major bug that caused aspell to do nothing when used
  in interactive mode.
- Added an option to exit in Aspell's interactive mode.
- Removed some old documentation files from the distribution.
- Minor changes on to the section on using Aspell with egcs.
- Minor changes to remove -Wall warnings.
